IntelliCAD 11.1 Object Library | |
AddInfiniteLine Method | |
See Also |
- Point1
- A Point object representing one point on the line.
- Point2
A Point object representing a second point on the line.
Block Collection : AddInfiniteLine Method |
Description
Adds an infinite line passing through two given points.
Syntax
Visual Basic |
---|
Public Function AddInfiniteLine( _ ByVal Point1 As Point, _ ByVal Point2 As Point _ ) As InfiniteLine |
Parameters
- Point1
- A Point object representing one point on the line.
- Point2
A Point object representing a second point on the line.
Example
Private Sub InfiniteLineExample()
' This example creates an infinite line and adds it to the drawing using the
' AddInfiniteLine method.
Dim myDoc As IntelliCAD.Document
Dim myInfline As IntelliCAD.InfiniteLine
Dim Pt1 As IntelliCAD.Point
Dim Pt2 As IntelliCAD.Point
Set myDoc = ActiveDocument
Set Pt1 = Library.CreatePoint(2, 2)
Set Pt2 = Library.CreatePoint(1, 3)
Set myInfline = myDoc.ModelSpace.AddInfiniteLine(Pt1, Pt2)
myInfline.Update
ThisDocument.Application.ZoomExtents
End Sub